<div class="card">
  <div class="card-header">
    <h3>File uploads</h3>
  </div>
  <div class="card-body">
    <div
      class="row"
      style="margin: unset"
      *ngFor="let fidx of currQuestion.uploadNumbers"
    >
      <br />
      <div class="col-2">
        <h4>File {{ 1 + fidx }}</h4>
      </div>
      <div class="col-5">
        <form
          class="row"
          enctype="multipart/form-data"
          method="post"
          name="fileinfo{{ currQuestion.ordinal }}{{ fidx }}"
        >
          <div class="input-group">
            <div class="custom-file">
              <input
                type="file"
                class="custom-file-input"
                name="testInstanceFile"
                id="fUpload{{ currQuestion.ordinal }}{{ fidx }}"
                required
                [(ngModel)]="_selectedFiles[fidx]"
                (change)="fileSelected(fidx)"
                [disabled]="currQuestion.uploaded[fidx]"
              />
              <label
                class="custom-file-label"
                for="fUpload{{ currQuestion.ordinal }}{{ fidx }}"
              >
                {{ _selectedFileNames[fidx] }}
              </label>
            </div>
            <div class="input-group-append">
              <button
                class="btn btn-primary"
                type="submit"
                value="Upload"
                (click)="uploadFile(fidx)"
                [disabled]="uploadButtonDisabled(fidx)"
              >
                <i class="fas fa-cloud-upload-alt"></i>
              </button>
            </div>
          </div>
        </form>
      </div>
      <div class="col-1" *ngIf="currQuestion.uploaded[fidx]">
        <button
          class="btn btn-danger"
          type="submit"
          (click)="deleteUploadedFile(fidx)"
        >
          <i class="fa fa-trash"></i>
        </button>
      </div>
      <div class="col-4">
        <h3
          [innerHTML]="
            fidx | uploadFile : currQuestion : _selectedFileNames[fidx]
          "
        ></h3>
      </div>
    </div>
  </div>
</div>
